## org.junit.runner.manipulation
Class Orderer

    java.lang.Object
      org.junit.runner.manipulation.Orderer

    public final class Orderer

extends Object

Orders tests.

Since:
  4.13

Method Summary
`void` `apply(Object target)` Order the tests in `target`.
`List<Description>` `order(Collection<Description> descriptions)` Orders the descriptions.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### order

    public List<Description> order(Collection<Description> descriptions)
                            throws InvalidOrderingException

  Orders the descriptions.

  Returns:
    descriptions in order
  Throws:
    `InvalidOrderingException`

### apply

    public void apply(Object target)
               throws InvalidOrderingException

  Order the tests in `target`.

  Throws:
    `InvalidOrderingException` - if ordering does something invalid (like remove or add children)

Copyright © 2002–2020 JUnit. All rights reserved.